Subject: Re: (Reply) Question about session establishment

From: [email-masked]
Date: Thu, 9 Nov 2000 15:33:39 +0800

But if the ICCN was lost and need to be retransmitted, the LAC has entered
established
state but the LNS still hasn't. During the period of retransmitting ICCN, data
packets
maybe send to LNS, how will LNS handle this data packets? because the session in
LNS still hasn't established, so it maybe ignore these packets. Do you think
this case
isn't important?

No. The session FSM steps immediately to "established" after sending the
ICCN.

evan
-

[email-masked] wrote:
>
> Hi,
>
> The Session state moves to the Established state after receiving the ZLB
corresponding to the ICCN sent.
>
> Sudheer.
>
> Hello,
>
> I have a problem about L2tp, At page 60(section 7.4.1) in rfc2661, there is a
> LAC Incoming Call States table, I want to ask is that when will the state go
to
> established state? After sending ICCN or after sending ICCN and receiving
> acknowledgement correspond to this ICCN(e.g.a ZLB)?
>
> TIA
>
> ZZF

---

From: Evan Caves <[email-masked]>
Date: Thu, 09 Nov 2000 10:24:45 -0800

If the ICCN was lost then the LNS will still be in 'wait-connect' 
and will drop data packets. The LAC reliable transport will continue 
to retransmit the ICCN until acknowledged. The PPP state machine on
the dial in client will continue to retransmit either LCP packets
or auth packets as necessary until the LNS has stepped to established. 
So the end result is it works.

evan
-